export function formatDate(T) {
  let month = T.getMonth() + 1,
    day = T.getDate(),
    hour = T.getHours(),
    min = T.getMinutes();
  month > 9 ? "" : (month = "0" + month);
  day > 9 ? "" : (day = "0" + day);
  hour > 9 ? "" : (hour = "0" + hour);
  min > 9 ? "" : (min = "0" + min);
  return {
    D: [T.getFullYear(), month, day],
    T: [hour, min],
  };
}

export function urlSearchData() {
  let TextSearch = location ? location.href : "",
    search = {};
  const rex = new RegExp("https?://" + location.host + "/", "g");
  TextSearch = TextSearch.replace(rex, "").split("?");
  for (let i = 0; i < TextSearch.length; i++) {
    if (!TextSearch[i]) continue;
    const vs = TextSearch[i].split("=");
    if (!vs[1]) continue;
    const v = vs[1].split("#/")[0]
    search[vs[0]] = v;
  }
  return search;
}
